Foros del Web » Programando para Internet » PHP »

Error capa seguridad

Estas en el tema de Error capa seguridad en el foro de PHP en Foros del Web. Hola a todos y de antemano gracias por su ayuda!!! Estoy haciendo un sitio en PHP versión 4.3.4, tengo una capa de seguridad con el ...
  #1 (permalink)  
Antiguo 23/04/2004, 09:07
 
Fecha de Ingreso: enero-2004
Ubicación: Colombia
Mensajes: 80
Antigüedad: 13 años, 11 meses
Puntos: 0
Exclamación Error capa seguridad

Hola a todos y de antemano gracias por su ayuda!!!

Estoy haciendo un sitio en PHP versión 4.3.4, tengo una capa de seguridad con el siguiente script: snsec.php
Código PHP:
<?
SESSION_START
();
if (
$_SESSION["autentificado"]!="SI"){
header("location:indexa.php");
exit;
}
?>
En las paginas que quiero proteger incluyo el siguiente codigo en la primera linea:
Código PHP:
<?include("snsec.php");?>
Al correr la aplicación me retorna el seguiente error:

Parse error: parse error, expecting `'('' in /home/webcindario/snotificador/php/snsec.php on line 3

¿Me podrían ayudar a solucionar este problema?
Esta es la URL donde pueden ver la información del PHP
http://snotificador.webcindario.com/php/info.php

Gracias
  #2 (permalink)  
Antiguo 23/04/2004, 09:59
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Al parecer de sintax está bien .. (por lo menos lo que pusistes aquí ..)

Código PHP:
<?
session_start
();
if (
$_SESSION['autentificado'] !="SI"){
header("location: indexa.php");
exit;
}
?>
Sólo el detalle de separar el location: de la página que redireccionas.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 19:55.